# PSF-LoginServer - master - net.psforever.objects.zones.ZoneInfo
PSF - LoginServer - master - net.psforever.objects.zones.ZoneInfo
Keywords: PSF LoginServer master net.psforever.objects.zones.ZoneInfo

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

c

net.psforever.objects.zones

# ZoneInfo 

###
Companion object ZoneInfo

#### sealed abstract class ZoneInfo extends IntEnumEntry

Source
  ZoneInfo.scala

Linear Supertypes
IntEnumEntry, ValueEnumEntry[Int], AnyRef, Any
Known Subclasses
Adlivun, Amerish, Annwn, Ascension, Byblos, Ceryshen, Cyssor, Desolation, Drugaskan, Esamir, Extinction, Forseral, Hossin, Hunhau, Ishundar, NcSanctuary, Nexus, Oshur, Searhus, Solsar, Supai, TrSanctuary, VsSanctuary, tzconc, tzcotr, tzcovs, tzdrnc, tzdrtr, tzdrvs, tzshnc, tzshtr, tzshvs

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZoneInfo
2. IntEnumEntry
3. ValueEnumEntry
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val aliases: Seq[String]
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  val id: String
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  val map: MapInfo
15.  val name: String
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  val value: Int
    Definition Classes
      ZoneInfo → ValueEnumEntry
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from IntEnumEntry

### Inherited from ValueEnumEntry[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped